# Default values for common ground apps.

overrideValues:
  image.repository: $IMAGE_REPOSITORY
  apis.contactmomenten.databaseUrl: $TESTJE

serviceAccount:
  create: true
  # The name of the service account to use.
  # If not set and create is true, a name is generated using the fullname template
  name: ""
  annotations:
    helm.sh/hook: pre-install, pre-upgrade
    helm.sh/hook-weight: "0"

global:
  awsRegionName: eu-west-1
  securityContext: 
    allowPrivilegeEscalation: false
  podSecurityContext: {}
  podAnnotations: {}
  imagePullSecrets: [{ name: gitlab-pull-secret }]
  imagePullPolicy: Always
  certmanager:
    keyName: cga-apikey-secret
    annotations:
      kubernetes.io/ingress.class: nginx-basic
      cert-manager.io/issuer: cga-certificate-issuer
      cert-manager.io/private-key-size: "4096"
      cert-manager.io/private-key-rotation-policy: "Always"
  api:
    auth0:
      oidcClientID: xoxo
      domain: xoxo
      ecoAudience: xoxo
      ecoClientID: xoxo
      ecoClientSecret: xoxo
      ecoDomain: xoxo
    database:
      url: xoxo
      readurl: xoxo
      update:
        user: xoxo
        password: xoxo
        host: xoxo
    networkpolicy:
      defaultEgresstoFQDNs:
      - matchPattern: "*.xxllnc.nl"
      - matchPattern: "*.cga.xxllnc.nl"
      - matchPattern: "*.*.cga.xxllnc.nl"
      - matchPattern: "*.cga.xxllnc.cloud"
      - matchPattern: "*.*.cga.xxllnc.cloud"
  app:
    auth0:
      domain: auth0-domain
      audience: auth0-audience
      ecoClientId: auth0-client-id
    loginInfoUrl: https://info.url
  redis:
    host: redis-host
    password: redis-password
  livenessProbe:
    enabled: true
    initialDelaySeconds: 5
    timeoutSeconds: 5
    periodSeconds: 10
    failureThreshold: 4
  readinessProbe:
    enabled: true
    initialDelaySeconds: 5
    timeoutSeconds: 5
    periodSeconds: 10
  nodeSelector: {}
  tolerations: []
  hosts: []

apis:
  formulierenbeheer:
    enabled: false
    name: api-formulierenbeheer
    image:
      repository: registry.gitlab.com/xxllnc/zaakgericht/common-ground-apps/xxllnc-common-ground-apps/backend/formulierenbeheer-api
    replicaCount: 3
    autoscaling:
      enabled: false
      minReplicas: 1
      maxReplicas: 100
      targetCPUUtilizationPercentage: 80
      # targetMemoryUtilizationPercentage: 80
    strategy:
      rollingUpdate:
        maxSurge: 1
        maxUnavailable: 40%
      type: RollingUpdate
    resources:
      requests:
        memory: 156Mi
        cpu: 100m
      limits: null
    service:
      type: ClusterIP
      port: 8883
    ingress:
      path: /formulierenbeheer/api
    databaseName:
    extraEnv:
      CONTROLPANEL_URL: https://mijn-dev.xxllnc.nl/api
  instellingen:
    enabled: false
    name: api-instellingen
    image:
      repository: registry.gitlab.com/xxllnc/zaakgericht/common-ground-apps/xxllnc-common-ground-apps/backend/instellingen-api
    replicaCount: 3
    autoscaling:
      enabled: false
      minReplicas: 1
      maxReplicas: 100
      targetCPUUtilizationPercentage: 80
      # targetMemoryUtilizationPercentage: 80
    strategy:
      rollingUpdate:
        maxSurge: 1
        maxUnavailable: 40%
      type: RollingUpdate
    resources:
      requests:
        memory: 140Mi
        cpu: 100m
      limits: null
    service:
      type: ClusterIP
      port: 8885
    ingress:
      path: /instellingen/api
    databaseName:
    extraEnv:
      CONTROLPANEL_URL: https://mijn-dev.xxllnc.nl/api
      APP_ID: 18143184-9909-41a1-acb1-b422412d6486
      USE_APP_INSTANCE_ID: "False"
  mijnomgeving:
    enabled: false
    name: api-mijnomgeving
    image:
      repository: registry.gitlab.com/xxllnc/zaakgericht/common-ground-apps/xxllnc-common-ground-apps/backend/mijnomgeving-api
    replicaCount: 3
    autoscaling:
      enabled: false
      minReplicas: 1
      maxReplicas: 100
      targetCPUUtilizationPercentage: 80
      # targetMemoryUtilizationPercentage: 80
    strategy:
      rollingUpdate:
        maxSurge: 1
        maxUnavailable: 40%
      type: RollingUpdate
    resources:
      requests:
        memory: 156Mi
        cpu: 100m
      limits: null
    service:
      type: ClusterIP
      port: 8890
    ingress:
      path: /mijnomgeving
    egressMatchPattern: "*.subdomain.domain.app"
    koppelapp_mijnomgeving_cert: |
      paste cert here
    koppelapp_mijnomgeving_key: |
      paste key here
    extraEnv:
      APP_ID: 2a19a141-20be-4d2d-90f2-a042598dc519
      USE_APP_INSTANCE_ID: "True"
  payments:
    enabled: false
    name: api-payments
    image:
      repository: registry.gitlab.com/xxllnc/zaakgericht/common-ground-apps/xxllnc-common-ground-apps/backend/payment-api
    replicaCount: 3
    autoscaling:
      enabled: false
      minReplicas: 1
      maxReplicas: 100
      targetCPUUtilizationPercentage: 80
      # targetMemoryUtilizationPercentage: 80
    strategy:
      rollingUpdate:
        maxSurge: 1
        maxUnavailable: 40%
      type: RollingUpdate
    resources:
      requests:
        memory: 140Mi
        cpu: 100m
      limits: null
    service:
      type: ClusterIP
      port: 8888
    ingress:
      path: /payments/api
    databaseName:
    extraEnv:
      CONTROLPANEL_URL: https://mijn-dev.xxllnc.nl/api
      APP_ID: 18143184-9909-41a1-acb1-b422412d6486
      USE_APP_INSTANCE_ID: "False"
  verzoeken:
    enabled: false
    name: api-verzoeken
    image:
      repository: registry.gitlab.com/xxllnc/zaakgericht/common-ground-apps/xxllnc-common-ground-apps/backend/verzoeken-api
    replicaCount: 3
    autoscaling:
      enabled: false
      minReplicas: 1
      maxReplicas: 100
      targetCPUUtilizationPercentage: 80
      # targetMemoryUtilizationPercentage: 80
    strategy:
      rollingUpdate:
        maxSurge: 1
        maxUnavailable: 40%
      type: RollingUpdate
    resources:
      requests:
        memory: 140Mi
        cpu: 100m
      limits: null
    service:
      type: ClusterIP
      port: 8884
    serviceAccount:
      create: true
      name: ""
      annotations:
        helm.sh/hook: pre-install, pre-upgrade
        helm.sh/hook-weight: "0"
        eks.amazonaws.com/role-arn: arn:aws:iam::123456879:role/xoxo
    ingress:
      path: /verzoeken/api
      annotations: 
        nginx.ingress.kubernetes.io/proxy-body-size: 500m
    databaseName:
    bucketName: verzoeken-api-temporary-file-upload-store-dev
    extraEnv:
      CONTROLPANEL_URL: https://mijn-dev.xxllnc.nl/api
      APP_ID: 18143184-9909-41a1-acb1-b422412d6486
      USE_APP_INSTANCE_ID: "False"
  verzoekenValidation:
    enabled: false
    name: api-verzoeken-validation
    image:
      repository: registry.gitlab.com/xxllnc/zaakgericht/common-ground-apps/xxllnc-common-ground-apps/backend/verzoeken-validation-api
    replicaCount: 3
    autoscaling:
      enabled: false
      minReplicas: 1
      maxReplicas: 100
      targetCPUUtilizationPercentage: 80
      # targetMemoryUtilizationPercentage: 80
    strategy:
      rollingUpdate:
        maxSurge: 1
        maxUnavailable: 40%
      type: RollingUpdate
    resources:
      requests:
        memory: 64M
        cpu: 10m
      limits: null
    service:
      type: ClusterIP
      port: 8889
    ingress:
      path: /validation-api

apps:
  formulierenbeheer:
    enabled: false
    name: formulierenbeheer-app
    image:
      repository: registry.gitlab.com/xxllnc/zaakgericht/common-ground-apps/xxllnc-common-ground-apps/frontend/formulierenbeheer-app
    replicaCount: 3
    autoscaling:
      enabled: false
      minReplicas: 1
      maxReplicas: 100
      targetCPUUtilizationPercentage: 80
      # targetMemoryUtilizationPercentage: 80
    strategy:
      rollingUpdate:
        maxSurge: 1
        maxUnavailable: 40%
      type: RollingUpdate
    resources:
      requests:
        memory: 8M
        cpu: 10m
      limits: null
    service:
      type: ClusterIP
      port: 80
      targetPort: 8080
    ingress:
      path: /formulierenbeheer
  formuliereninwoner:
    enabled: false
    name: formuliereninwoner-app
    image:
      repository: registry.gitlab.com/xxllnc/zaakgericht/common-ground-apps/xxllnc-common-ground-apps/frontend/formuliereninwoner-app
    replicaCount: 3
    autoscaling:
      enabled: false
      minReplicas: 1
      maxReplicas: 100
      targetCPUUtilizationPercentage: 80
      # targetMemoryUtilizationPercentage: 80
    strategy:
      rollingUpdate:
        maxSurge: 1
        maxUnavailable: 40%
      type: RollingUpdate
    resources:
      requests:
        memory: 8M
        cpu: 10m
      limits: null
    service:
      type: ClusterIP
      port: 80
      targetPort: 8080
    ingress:
      path: /formulieren
    appTitle: xxllnc
  mijnomgeving:
    enabled: false
    name: mijnomgeving-app
    image:
      repository: registry.gitlab.com/xxllnc/zaakgericht/common-ground-apps/xxllnc-common-ground-apps/frontend/mijnomgeving-app
    replicaCount: 3
    autoscaling:
      enabled: false
      minReplicas: 1
      maxReplicas: 100
      targetCPUUtilizationPercentage: 80
    strategy:
      rollingUpdate:
        maxSurge: 1
        maxUnavailable: 40%
      type: RollingUpdate
    resources:
      requests:
        memory: 8M
        cpu: 10m
      limits: null
    service:
      type: ClusterIP
      port: 80
      targetPort: 8080
    ingress:
      path: /mijnomgeving
    auth0:
      audience: auth0-audience
      domain: auth0-domain
      clientId: auth0-client-id
  rootOverviewPage:
    enabled: true
    name: root-overview-page
    replicaCount: 2
    autoscaling:
      enabled: false
      minReplicas: 1
      maxReplicas: 100
      targetCPUUtilizationPercentage: 80
    strategy:
      rollingUpdate:
        maxSurge: 1
        maxUnavailable: 40%
      type: RollingUpdate
    resources:
      requests:
        memory: 8M
        cpu: 10m
      limits: null
    service:
      type: ClusterIP
      port: 80
      targetPort: 8080
    ingress:
      path: /
